var minH=50;// Минимальная высота поля
var minW=200;// Минимальная ширина поля
var startH=0;
var startW=0;
var startY=0;
var startX=0;
var textarea=null;
var oldMouseMove=null;
var oldMouseUp=null;

function textareaResizer(e, id){
    if (e == null) { e = window.event }
    if (e.preventDefault) 
	{
        e.preventDefault();
    } 
    textarea = document.getElementById(id);
    startY=e.clientY;
    startX=e.clientX;
    startH=textarea.offsetHeight;
    startW=textarea.offsetWidth;
    document.onmousemove=textareaResizer_moveHandler;
    document.onmouseup=textareaResizer_cleanup;
    return false;
}
function textareaResizer_moveHandler(e){
  if (e == null) { e = window.event } 
  if (e.button<=1)
  {
     curH=(startH+(e.clientY-startY));
     curW=(startW+(e.clientX-startX));
     
     if (curH<minH) curH=minH;
     if (curW<minW) curW=minW;
     
     textarea.style.width=curW+'px';
     textarea.style.height=curH+'px';
     return false;
  }
}
function textareaResizer_cleanup(e) {
  document.onmousemove=oldMouseMove;
  document.onmouseup=oldMouseUp;
}